import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGoogleProjectsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/google-beta/d/google_projects#filter DataGoogleProjects#filter}
    */
    readonly filter: string;
}
export interface DataGoogleProjectsProjects {
}
export declare function dataGoogleProjectsProjectsToTerraform(struct?: DataGoogleProjectsProjects): any;
export declare class DataGoogleProjectsProjectsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataGoogleProjectsProjects | undefined;
    set internalValue(value: DataGoogleProjectsProjects | undefined);
    get createTime(): string;
    labels(key: string): string | cdktf.IResolvable;
    get lifecycleState(): string;
    get name(): string;
    get number(): string;
    parent(key: string): string | cdktf.IResolvable;
    get projectId(): string;
}
export declare class DataGoogleProjectsProjectsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataGoogleProjectsProjectsOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/google-beta/d/google_projects google_projects}
*/
export declare class DataGoogleProjects extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "google_projects";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/google-beta/d/google_projects google_projects} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGoogleProjectsConfig
    */
    constructor(scope: Construct, id: string, config: DataGoogleProjectsConfig);
    private _filter?;
    get filter(): string;
    set filter(value: string);
    get filterInput(): string | undefined;
    get id(): string;
    private _projects;
    get projects(): DataGoogleProjectsProjectsList;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
